org.wildfly.swarm.config.remoting

## Class EndpointConfiguration<T extends EndpointConfiguration<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.remoting.EndpointConfiguration<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class EndpointConfiguration<T extends EndpointConfiguration<T>>
      extends HashMap

  Endpoint configuration
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `authenticationRetries()` Specify the number of times a client is allowed to retry authentication before closing the connection.
    `T` | `authenticationRetries(Integer value)` Specify the number of times a client is allowed to retry authentication before closing the connection.
    `String` | `authorizeId()` The SASL authorization ID.
    `T` | `authorizeId(String value)` The SASL authorization ID.
    `String` | `authRealm()` The authentication realm to use if no authentication `CallbackHandler` is specified.
    `T` | `authRealm(String value)` The authentication realm to use if no authentication `CallbackHandler` is specified.
    `Integer` | `bufferRegionSize()` The size of allocated buffer regions.
    `T` | `bufferRegionSize(Integer value)` The size of allocated buffer regions.
    `String` | `getKey()`
    `Integer` | `heartbeatInterval()` The interval to use for connection heartbeat, in milliseconds.
    `T` | `heartbeatInterval(Integer value)` The interval to use for connection heartbeat, in milliseconds.
    `Integer` | `maxInboundChannels()` The maximum number of concurrent inbound messages on a channel.
    `T` | `maxInboundChannels(Integer value)` The maximum number of concurrent inbound messages on a channel.
    `Integer` | `maxInboundMessages()` The maximum number of inbound channels to support for a connection.
    `T` | `maxInboundMessages(Integer value)` The maximum number of inbound channels to support for a connection.
    `Long` | `maxInboundMessageSize()` The maximum inbound message size to be allowed.
    `T` | `maxInboundMessageSize(Long value)` The maximum inbound message size to be allowed.
    `Integer` | `maxOutboundChannels()` The maximum number of concurrent outbound messages on a channel.
    `T` | `maxOutboundChannels(Integer value)` The maximum number of concurrent outbound messages on a channel.
    `Integer` | `maxOutboundMessages()` The maximum number of outbound channels to support for a connection.
    `T` | `maxOutboundMessages(Integer value)` The maximum number of outbound channels to support for a connection.
    `Long` | `maxOutboundMessageSize()` The maximum outbound message size to send.
    `T` | `maxOutboundMessageSize(Long value)` The maximum outbound message size to send.
    `Integer` | `receiveBufferSize()` The size of the largest buffer that this endpoint will accept over a connection.
    `T` | `receiveBufferSize(Integer value)` The size of the largest buffer that this endpoint will accept over a connection.
    `Integer` | `receiveWindowSize()` The maximum window size of the receive direction for connection channels, in bytes.
    `T` | `receiveWindowSize(Integer value)` The maximum window size of the receive direction for connection channels, in bytes.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslProtocol()` Where a SaslServer or SaslClient are created by default the protocol specified it 'remoting', this can be used to override this.
    `T` | `saslProtocol(String value)` Where a SaslServer or SaslClient are created by default the protocol specified it 'remoting', this can be used to override this.
    `Integer` | `sendBufferSize()` The size of the largest buffer that this endpoint will transmit over a connection.
    `T` | `sendBufferSize(Integer value)` The size of the largest buffer that this endpoint will transmit over a connection.
    `String` | `serverName()` The server side of the connection passes it's name to the client in the initial greeting, by default the name is automatically discovered from the local address of the connection or it can be overridden using this.
    `T` | `serverName(String value)` The server side of the connection passes it's name to the client in the initial greeting, by default the name is automatically discovered from the local address of the connection or it can be overridden using this.
    `Integer` | `transmitWindowSize()` The maximum window size of the transmit direction for connection channels, in bytes.
    `T` | `transmitWindowSize(Integer value)` The maximum window size of the transmit direction for connection channels, in bytes.
    `String` | `worker()` Worker to use
    `T` | `worker(String value)` Worker to use

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EndpointConfiguration

          public EndpointConfiguration()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### authRealm

          public String authRealm()

      The authentication realm to use if no authentication `CallbackHandler` is specified.

    - #### authRealm

          public T authRealm(String value)

      The authentication realm to use if no authentication `CallbackHandler` is specified.

    - #### authenticationRetries

          public Integer authenticationRetries()

      Specify the number of times a client is allowed to retry authentication before closing the connection.

    - #### authenticationRetries

          public T authenticationRetries(Integer value)

      Specify the number of times a client is allowed to retry authentication before closing the connection.

    - #### authorizeId

          public String authorizeId()

      The SASL authorization ID. Used as authentication user name to use if no authentication `CallbackHandler` is specifiedand the selected SASL mechanism demands a user name.

    - #### authorizeId

          public T authorizeId(String value)

      The SASL authorization ID. Used as authentication user name to use if no authentication `CallbackHandler` is specifiedand the selected SASL mechanism demands a user name.

    - #### bufferRegionSize

          public Integer bufferRegionSize()

      The size of allocated buffer regions.

    - #### bufferRegionSize

          public T bufferRegionSize(Integer value)

      The size of allocated buffer regions.

    - #### heartbeatInterval

          public Integer heartbeatInterval()

      The interval to use for connection heartbeat, in milliseconds. If the connection is idle in the outbound directionfor this amount of time, a ping message will be sent, which will trigger a corresponding reply message.

    - #### heartbeatInterval

          public T heartbeatInterval(Integer value)

      The interval to use for connection heartbeat, in milliseconds. If the connection is idle in the outbound directionfor this amount of time, a ping message will be sent, which will trigger a corresponding reply message.

    - #### maxInboundChannels

          public Integer maxInboundChannels()

      The maximum number of concurrent inbound messages on a channel.

    - #### maxInboundChannels

          public T maxInboundChannels(Integer value)

      The maximum number of concurrent inbound messages on a channel.

    - #### maxInboundMessageSize

          public Long maxInboundMessageSize()

      The maximum inbound message size to be allowed. Messages exceeding this size will cause an exception to be thrown on the reading side as well as the writing side.

    - #### maxInboundMessageSize

          public T maxInboundMessageSize(Long value)

      The maximum inbound message size to be allowed. Messages exceeding this size will cause an exception to be thrown on the reading side as well as the writing side.

    - #### maxInboundMessages

          public Integer maxInboundMessages()

      The maximum number of inbound channels to support for a connection.

    - #### maxInboundMessages

          public T maxInboundMessages(Integer value)

      The maximum number of inbound channels to support for a connection.

    - #### maxOutboundChannels

          public Integer maxOutboundChannels()

      The maximum number of concurrent outbound messages on a channel.

    - #### maxOutboundChannels

          public T maxOutboundChannels(Integer value)

      The maximum number of concurrent outbound messages on a channel.

    - #### maxOutboundMessageSize

          public Long maxOutboundMessageSize()

      The maximum outbound message size to send. No messages larger than this well be transmitted; attempting to do so will cause an exception on the writing side.

    - #### maxOutboundMessageSize

          public T maxOutboundMessageSize(Long value)

      The maximum outbound message size to send. No messages larger than this well be transmitted; attempting to do so will cause an exception on the writing side.

    - #### maxOutboundMessages

          public Integer maxOutboundMessages()

      The maximum number of outbound channels to support for a connection.

    - #### maxOutboundMessages

          public T maxOutboundMessages(Integer value)

      The maximum number of outbound channels to support for a connection.

    - #### receiveBufferSize

          public Integer receiveBufferSize()

      The size of the largest buffer that this endpoint will accept over a connection.

    - #### receiveBufferSize

          public T receiveBufferSize(Integer value)

      The size of the largest buffer that this endpoint will accept over a connection.

    - #### receiveWindowSize

          public Integer receiveWindowSize()

      The maximum window size of the receive direction for connection channels, in bytes.

    - #### receiveWindowSize

          public T receiveWindowSize(Integer value)

      The maximum window size of the receive direction for connection channels, in bytes.

    - #### saslProtocol

          public String saslProtocol()

      Where a SaslServer or SaslClient are created by default the protocol specified it 'remoting', this can be used to override this.

    - #### saslProtocol

          public T saslProtocol(String value)

      Where a SaslServer or SaslClient are created by default the protocol specified it 'remoting', this can be used to override this.

    - #### sendBufferSize

          public Integer sendBufferSize()

      The size of the largest buffer that this endpoint will transmit over a connection.

    - #### sendBufferSize

          public T sendBufferSize(Integer value)

      The size of the largest buffer that this endpoint will transmit over a connection.

    - #### serverName

          public String serverName()

      The server side of the connection passes it's name to the client in the initial greeting, by default the name is automatically discovered from the local address of the connection or it can be overridden using this.

    - #### serverName

          public T serverName(String value)

      The server side of the connection passes it's name to the client in the initial greeting, by default the name is automatically discovered from the local address of the connection or it can be overridden using this.

    - #### transmitWindowSize

          public Integer transmitWindowSize()

      The maximum window size of the transmit direction for connection channels, in bytes.

    - #### transmitWindowSize

          public T transmitWindowSize(Integer value)

      The maximum window size of the transmit direction for connection channels, in bytes.

    - #### worker

          public String worker()

      Worker to use

    - #### worker

          public T worker(String value)

      Worker to use

Copyright © 2018 JBoss by Red Hat. All rights reserved.